using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            string[] y = Console.ReadLine().Split();
            int n, l, i;
            n = Convert.ToInt32(s[0]);
            l = Convert.ToInt32(s[1]);
            int[] visina = new int[n];
            
            for(i = 0; i <= n-1; i++)
            {
                visina[i] = Convert.ToInt32(y[i]);
                if (visina[i] <= l)
                {
                    Console.WriteLine(i + 1);
                    break;
                    
                }
                if (i == n-1)
                    Console.WriteLine("-1");
            } 
            
            Console.ReadKey();
        }
    }
}